## pango1.0 1.38.1

=== debian/changelog ===
pango1.0 (1.38.1-1) unstable; urgency=medium

  [ Michael Biebl ]
  * Use https:// for Vcs-Browser

  [ Andreas Henriksson ]
  * New upstream release.
  * Bump build-dependencies according to configure.ac changes:
    - libharfbuzz-dev >= 0.9.30
  * Drop debian/patches/tests-needs-asserts.patch, fixed upstream.
  * Bump Standards-Version to 3.9.6
  * Add "(transitional package)" to libpango1.0-0 short description
    (Closes: #714766)

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 20 Oct 2015 18:47:18 +0200

pango1.0 (1.38.0-3) unstable; urgency=medium

  * Add debian/patches/configure-without-libthai.patch
    - make it possible to disable checking for libthai
  * debian/rules: configure udeb build --without-libthai
    - this avoids the udeb picking up a dependency on libthai which has
      no udeb. (Closes: #800356)

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 28 Sep 2015 16:01:38 +0200

pango1.0 (1.38.0-2) unstable; urgency=medium

  * Add debian/patches/disable-layout-test.patch
    - disable flaky test while waiting for feedback on bgo#755733

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 28 Sep 2015 15:34:57 +0200

pango1.0 (1.38.0-1) unstable; urgency=medium

  * New upstream release.
  * Add debian/patches/tests-needs-asserts.patch
    - fixes issue in testattributes (bgo#755126) under --disable-debug
  * Make tests fatal again.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 28 Sep 2015 04:48:34 +0200

pango1.0 (1.37.5-1) experimental; urgency=medium

  * New upstream development release.
    - The module system is now deprecated.
  * Drop patches obsoleted by module system deprecation:
    - 10_scan-module-files-in-dirs.patch
    - 11_module-files-append-module-files-d.patch
    - 14_makefile_modules_ft2_link_harfbuzz.patch
  * Drop lingering unused patch
    - 13_configure-thai-modules.patch
  * Partial import of Ubuntu gnome3 staging ppa 1.37.4-0ubuntu1~wily0
    - symbols files updates
    - package updates for modules deprecation
    - drop debian/dh_pangomodules.in + debian/libpango1.0-dev.manpages
  * Make tests non-fatal while waiting for feedback on BGO#755126
    - This seems to be a problem in the test itself rather then pango.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 16 Sep 2015 19:27:38 +0200

=== debian/control ===
Source: pango1.0
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: autotools-dev,
               cdbs (>= 0.4.93),
               debhelper (>= 8.1.3),
               dh-autoreconf,
               fonts-cantarell,
               gnome-pkg-tools (>= 0.11),
               gobject-introspection (>= 0.9.12-4~),
               gtk-doc-tools (>= 1.15),
               libcairo2-dev (>= 1.12.10),
               libfontconfig1-dev (>= 2.10.91),
               libfreetype6-dev (>= 2.1.7),
               libgirepository1.0-dev (>= 0.9.5),
               libglib2.0-dev (>= 2.34.0),
               libharfbuzz-dev (>= 0.9.30),
               libthai-dev (>= 0.1.9),
               libx11-dev (>= 2:1.3.3-2),
               libxft-dev (>= 2.1.14-2),
               libxrender-dev (>= 1:0.9.0.2-2),
               libxt-dev,
               perl,
               pkg-config
Build-Depends-Indep: libglib2.0-doc
Standards-Version: 3.9.6
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/pango1.0
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/pango1.0

Package: libpango1.0-0
Section: oldlibs
Priority: extra
Architecture: any
Depends: libpango-1.0-0 (= ${binary:Version}),
         libpangocairo-1.0-0 (= ${binary:Version}),
         libpangoft2-1.0-0 (= ${binary:Version}),
         libpangox-1.0-0 (>= 0.0.2-2~),
         libpangoxft-1.0-0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: Layout and rendering of internationalized text (transitional package)
 Pango is a library for layout and rendering of text, with an emphasis
 on internationalization. Pango can be used anywhere that text layout is
 needed. however, most of the work on Pango-1.0 was done using the GTK+
 widget toolkit as a test platform. Pango forms the core of text and
 font handling for GTK+-2.0.
 .
 Pango is designed to be modular; the core Pango layout can be used with
 four different font backends:
  - Core X windowing system fonts
  - Client-side fonts on X using the Xft library
  - Direct rendering of scalable fonts using the FreeType library
  - Native fonts on Microsoft backends
 .
 This is a transitional package.

Package: libpango-1.0-0
Architecture: any
Depends: fontconfig (>= 2.1.91), ${misc:Depends}, ${shlibs:Depends}
Replaces: libpango1.0-0 (<< 1.32.5-2)
Breaks: libpango1.0-0 (<< 1.32.5-2), plymouth (<< 0.8.3-19)
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Layout and rendering of internationalized text
 Pango is a library for layout and rendering of text, with an emphasis
 on internationalization. Pango can be used anywhere that text layout is
 needed. however, most of the work on Pango-1.0 was done using the GTK+
 widget toolkit as a test platform. Pango forms the core of text and
 font handling for GTK+-2.0.
 .
 Pango is designed to be modular; the core Pango layout can be used with
 four different font backends:
  - Core X windowing system fonts
  - Client-side fonts on X using the Xft library
  - Direct rendering of scalable fonts using the FreeType library
  - Native fonts on Microsoft backends
 .
 This package contains the shared libraries.

Package: libpangocairo-1.0-0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libpango1.0-0 (<< 1.32.5-2)
Replaces: libpango1.0-0 (<< 1.32.5-2)
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Layout and rendering of internationalized text
 Pango is a library for layout and rendering of text, with an emphasis
 on internationalization. Pango can be used anywhere that text layout is
 needed. however, most of the work on Pango-1.0 was done using the GTK+
 widget toolkit as a test platform. Pango forms the core of text and
 font handling for GTK+-2.0.
 .
 Pango is designed to be modular; the core Pango layout can be used with
 four different font backends:
  - Core X windowing system fonts
  - Client-side fonts on X using the Xft library
  - Direct rendering of scalable fonts using the FreeType library
  - Native fonts on Microsoft backends
 .
 This package contains the shared libraries.

Package: libpangoxft-1.0-0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libpango1.0-0 (<< 1.32.5-2)
Replaces: libpango1.0-0 (<< 1.32.5-2)
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Layout and rendering of internationalized text
 Pango is a library for layout and rendering of text, with an emphasis
 on internationalization. Pango can be used anywhere that text layout is
 needed. however, most of the work on Pango-1.0 was done using the GTK+
 widget toolkit as a test platform. Pango forms the core of text and
 font handling for GTK+-2.0.
 .
 Pango is designed to be modular; the core Pango layout can be used with
 four different font backends:
  - Core X windowing system fonts
  - Client-side fonts on X using the Xft library
  - Direct rendering of scalable fonts using the FreeType library
  - Native fonts on Microsoft backends
 .
 This package contains the shared libraries.

Package: libpangoft2-1.0-0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libpango1.0-0 (<< 1.32.5-2)
Replaces: libpango1.0-0 (<< 1.32.5-2)
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Layout and rendering of internationalized text
 Pango is a library for layout and rendering of text, with an emphasis
 on internationalization. Pango can be used anywhere that text layout is
 needed. however, most of the work on Pango-1.0 was done using the GTK+
 widget toolkit as a test platform. Pango forms the core of text and
 font handling for GTK+-2.0.
 .
 Pango is designed to be modular; the core Pango layout can be used with
 four different font backends:
  - Core X windowing system fonts
  - Client-side fonts on X using the Xft library
  - Direct rendering of scalable fonts using the FreeType library
  - Native fonts on Microsoft backends
 .
 This package contains the shared libraries.

Package: libpango1.0-udeb
Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Layout and rendering of internationalized text - minimal runtime
 This is a udeb, or a microdeb, for the debian-installer.
 .
 Pango is a library for layout and rendering of text, with an emphasis
 on internationalization. Pango can be used anywhere that text layout is
 needed. however, most of the work on Pango-1.0 was done using the GTK+
 widget toolkit as a test platform. Pango forms the core of text and
 font handling for GTK+-2.0.
 .
 Pango is designed to be modular; the core Pango layout can be used with
 four different font backends:
  - Direct rendering of scalable fonts using the FreeType library
  - Native fonts on Microsoft backends
 .
 This package contains the minimal runtime library needed by the Debian
 installer.

Package: libpango1.0-dev
Section: libdevel
Architecture: any
Depends: gir1.2-pango-1.0 (= ${binary:Version}),
         libcairo2-dev (>= 1.12.10),
         libfontconfig1-dev (>= 2.10.91),
         libfreetype6-dev,
         libglib2.0-dev (>= 2.34.0),
         libharfbuzz-dev (>= 0.9.9),
         libpango-1.0-0 (= ${binary:Version}),
         libpangocairo-1.0-0 (= ${binary:Version}),
         libpangoft2-1.0-0 (= ${binary:Version}),
         libpangoxft-1.0-0 (= ${binary:Version}),
         libx11-dev,
         libxft-dev,
         libxrender-dev,
         pkg-config,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: imagemagick, libpango1.0-doc
Recommends: debhelper
Replaces: gir-repository-dev, gobject-introspection-repository
Description: Development files for the Pango
 Pango is a library for layout and rendering of text, with an emphasis
 on internationalization. Pango can be used anywhere that text layout is
 needed. however, most of the work on Pango-1.0 was done using the GTK+
 widget toolkit as a test platform. Pango forms the core of text and
 font handling for GTK+-2.0.
 .
 Pango is designed to be modular; the core Pango layout can be used with
 four different font backends:
  - Core X windowing system fonts
  - Client-side fonts on X using the Xft library
  - Direct rendering of scalable fonts using the FreeType library
  - Native fonts on Microsoft backends
 .
 This package contains the header files and some files needed for development
 with Pango.

Package: libpango1.0-0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libpango-1.0-0 (= ${binary:Version}) | libpangocairo-1.0-0 (= ${binary:Version}) | libpangoft2-1.0-0 (= ${binary:Version}) | libpangoxft-1.0-0 (= ${binary:Version}),
         ${misc:Depends}
Description: Pango library and debugging symbols
 Pango is a library for layout and rendering of text, with an emphasis
 on internationalization. Pango can be used anywhere that text layout is
 needed. however, most of the work on Pango-1.0 was done using the GTK+
 widget toolkit as a test platform. Pango forms the core of text and
 font handling for GTK+-2.0.
 .
 Pango is designed to be modular; the core Pango layout can be used with
 four different font backends:
  - Core X windowing system fonts
  - Client-side fonts on X using the Xft library
  - Direct rendering of scalable fonts using the FreeType library
  - Native fonts on Microsoft backends
 .
 This package contains the debugging symbols. Most people will not need this
 package.

Package: libpango1.0-doc
Section: doc
Architecture: all
Depends: lynx | www-browser, ${misc:Depends}
Recommends: libglib2.0-doc
Multi-Arch: foreign
Description: Documentation files for the Pango
 Pango is a library for layout and rendering of text, with an emphasis
 on internationalization. Pango can be used anywhere that text layout is
 needed. however, most of the work on Pango-1.0 was done using the GTK+
 widget toolkit as a test platform. Pango forms the core of text and
 font handling for GTK+-2.0.
 .
 Pango is designed to be modular; the core Pango layout can be used with
 four different font backends:
  - Core X windowing system fonts
  - Client-side fonts on X using the Xft library
  - Direct rendering of scalable fonts using the FreeType library
  - Native fonts on Microsoft backends
 .
 This package contains the HTML documentation for the Pango in
 /usr/share/doc/libpango1.0-doc/ .

Package: gir1.2-pango-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Replaces: gir1.0-gtk-2.0 (<< 2.22),
          gir1.0-pango-1.0,
          gobject-introspection-repository
Conflicts: gir1.0-pango-1.0
Multi-Arch: same
Description: Layout and rendering of internationalized text - gir bindings
 Pango is a library for layout and rendering of text, with an emphasis
 on internationalization. Pango can be used anywhere that text layout is
 needed. however, most of the work on Pango-1.0 was done using the GTK+
 widget toolkit as a test platform. Pango forms the core of text and
 font handling for GTK+-2.0.
 .
 Pango is designed to be modular; the core Pango layout can be used with
 four different font backends:
  - Core X windowing system fonts
  - Client-side fonts on X using the Xft library
  - Direct rendering of scalable fonts using the FreeType library
  - Native fonts on Microsoft backends
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

Package: pango1.0-tests
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, fonts-cantarell
Pre-Depends: ${misc:Pre-Depends}
Description: Layout and rendering of internationalized text - installed tests
 Pango is a library for layout and rendering of text, with an emphasis
 on internationalization. Pango can be used anywhere that text layout is
 needed. however, most of the work on Pango-1.0 was done using the GTK+

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILDDIR = debian/build
DEB_MAKE_DESTDIRSKEL = $(CURDIR)/debian/install/@FLAVOR@
DEB_MAKE_FLAVORS = shared static udeb
DISABLE_UPDATE_UPLOADERS = 1

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

GNOME_MODULE := pango

# Enable parallel build support
DEB_BUILD_PARALLEL = 1

# Ensure the build aborts when there are still references to undefined symbols
LDFLAGS += -Wl,-z,defs

# Make the linker work a bit harder so dynamic loading can be done faster
LDFLAGS += -Wl,-O1

APIVER := 1.0
SONAME := 0

# relative libdir
LIBDIR := usr/lib/$(DEB_HOST_MULTIARCH)
LIBDIR_UDEB := $(LIBDIR)

# package names
SHARED_PKG := libpango-$(APIVER)-$(SONAME)
UDEB_PKG := libpango$(APIVER)-udeb
DEV_PKG := libpango$(APIVER)-dev
DEBUG_PKG := libpango$(APIVER)-$(SONAME)-dbg
DOC_PKG := libpango$(APIVER)-doc

DEB_CONFIGURE_EXTRA_FLAGS = \
		--with-html-dir=\$${prefix}/share/doc/$(DOC_PKG)

DEB_CONFIGURE_FLAGS_shared = \
		--libdir=/$(LIBDIR) \
		--enable-installed-tests

DEB_CONFIGURE_FLAGS_static = \
		--libdir=/$(LIBDIR) \
		--disable-shared \
		--enable-static

DEB_CONFIGURE_FLAGS_udeb = \
		--libdir=/$(LIBDIR_UDEB) \
		--without-libthai \
		--disable-debug

# Get failing tests' stdout/err so we have some information when a build fails
export VERBOSE=1

DEB_MAKE_CHECK_TARGET = check
DEB_DH_STRIP_ARGS_DEFAULT = --dbg-package=libpango$(APIVER)-$(SONAME)-dbg
DEB_DH_STRIP_ARGS_$(UDEB_PKG) =
DEB_DH_MAKESHLIBS_ARGS_ALL += -V --add-udeb=$(UDEB_PKG) -- -c4

# macro computing the list of 'debian/<pkg>.*" files which have a corresponding
# ".in" file; pass the list of packages in $(1)
dh_subst_files = $(patsubst %.in,%,$(wildcard $(addprefix debian/, $(addsuffix *.in, $(1)))))

debian/%: debian/%.in
	dh_testdir
	sed \
		-e 's#@SONAME@#$(SONAME)#g' \
		-e 's#@APIVER@#$(APIVER)#g' \
		-e 's#@VERSION@#$(DEB_UPSTREAM_VERSION)#g' \
		-e 's#@LIBDIR@#$(LIBDIR)#g' \
		-e 's#@LIBDIR_UDEB@#$(LIBDIR_UDEB)#g' \
		-e 's#@GNOME_TEAM@#$(UPLOADERS)#g' \
		$@.in >$@

clean:: debian/control
	# gross kludge to force control generation with the %.in target
	touch debian/control.in
	# remove generated files
	rm -f $(call dh_subst_files,$(DEB_ALL_PACKAGES))
	rm -rf $(DEB_BUILDDIR) debian/install

build-indep: $(call dh_subst_files,$(DEB_INDEP_PACKAGES))
build-arch: $(call dh_subst_files,$(DEB_ARCH_PACKAGES))

common-build-arch::
	# hack to fix missing enumeration GTypes in GIR
	cd debian/build/shared/pango/ && rm pango-enum-types.* *.gir *.typelib && make

binary-install/$(DEV_PKG)::
	# verify that the .gir is built correctly
	grep -q 'glib:get-type="pango_wrap_mode_get_type"' debian/$(DEV_PKG)/usr/share/gir-1.0/Pango-1.0.gir

binary-install/pango1.0-tests:: DEB_DH_INSTALL_ARGS = --sourcedir=debian/install/shared

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/pango/([\d\.]+[02468])/pango-(.*)\.tar\.xz

## pango1.0 1.40.1

=== debian/changelog ===
pango1.0 (1.40.1-1ubuntu1) yakkety; urgency=medium

  * Drop libpango1.0-doc's "lynx | www-browser" dependency. Docs can also be
    read with devhelp, Chromium, or other browsers, there is no reason for
    this to be a strict dependency. (Patch backported from Debian svn)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 12 Oct 2016 10:14:25 +0200

pango1.0 (1.40.1-1) unstable; urgency=medium

  [ Andreas Henriksson ]
  * Drop --without-libthai now that there's a libthai udeb (Closes: #803228)
  * Bump libthai build-dependency to 0.1.22-3~ which gives us the udeb.
  * State font-cantarell is only a build-dependency unless nocheck profile.
    - since we only need it for tests to pass.

  [ Michael Biebl ]
  * New upstream release.
  * Bump Build-Depends on debhelper to (>= 9.20141010) and add a versioned
    Build-Depends on dpkg-dev (>= 1.17.14) for <!nocheck> support.
  * Drop obsolete Conflicts, Breaks and Replaces from pre-wheezy.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Fri, 15 Apr 2016 14:53:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: pango1.0
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>, Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: autotools-dev,
                cdbs (>= 0.4.93),
-               debhelper (>= 8.1.3),
+               debhelper (>= 9.20141010),
+               dpkg-dev (>= 1.17.14),
                dh-autoreconf,
-               fonts-cantarell,
+               fonts-cantarell <!nocheck>,
                gnome-pkg-tools (>= 0.11),
                gobject-introspection (>= 0.9.12-4~),
                gtk-doc-tools (>= 1.15),
@@ -17,7 +19,7 @@
                libgirepository1.0-dev (>= 0.9.5),
                libglib2.0-dev (>= 2.34.0),
                libharfbuzz-dev (>= 0.9.30),
-               libthai-dev (>= 0.1.9),
+               libthai-dev (>= 0.1.22-3~),
                libx11-dev (>= 2:1.3.3-2),
                libxft-dev (>= 2.1.14-2),
                libxrender-dev (>= 1:0.9.0.2-2),
@@ -25,7 +27,7 @@
                perl,
                pkg-config
 Build-Depends-Indep: libglib2.0-doc
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/pango1.0
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/pango1.0
 
@@ -61,7 +63,7 @@
 Architecture: any
 Depends: fontconfig (>= 2.1.91), ${misc:Depends}, ${shlibs:Depends}
 Replaces: libpango1.0-0 (<< 1.32.5-2)
-Breaks: libpango1.0-0 (<< 1.32.5-2), plymouth (<< 0.8.3-19)
+Breaks: libpango1.0-0 (<< 1.32.5-2)
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: Layout and rendering of internationalized text
@@ -236,7 +238,7 @@
 Package: libpango1.0-doc
 Section: doc
 Architecture: all
-Depends: lynx | www-browser, ${misc:Depends}
+Depends: ${misc:Depends}
 Recommends: libglib2.0-doc
 Multi-Arch: foreign
 Description: Documentation files for the Pango
@@ -260,10 +262,6 @@
 Section: introspection
 Architecture: any
 Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
-Replaces: gir1.0-gtk-2.0 (<< 2.22),
-          gir1.0-pango-1.0,
-          gobject-introspection-repository
-Conflicts: gir1.0-pango-1.0
 Multi-Arch: same
 Description: Layout and rendering of internationalized text - gir bindings
  Pango is a library for layout and rendering of text, with an emphasis

=== debian/rules ===
--- 
+++ 
@@ -51,7 +51,6 @@
 
 DEB_CONFIGURE_FLAGS_udeb = \
 		--libdir=/$(LIBDIR_UDEB) \
-		--without-libthai \
 		--disable-debug
 
 # Get failing tests' stdout/err so we have some information when a build fails

## pango1.0 1.40.4

=== debian/changelog ===
pango1.0 (1.40.4-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches/disable-layout-test.patch, no longer needed.
  * Force update of pango-view.1.in to ensure it doesn't contain a dummy text.
    This requires a Build-Depends on help2man. (Closes: #774431)

 -- Michael Biebl <biebl@debian.org>  Tue, 28 Feb 2017 19:59:30 +0100

pango1.0 (1.40.3-3) unstable; urgency=medium

  [ Martin Pitt ]
  * Drop libpango1.0-doc's "lynx | www-browser" dependency. Docs can also be
    read with devhelp, Chromium, or other browsers, there is no reason for
    this to be a strict dependency.

  [ Jeremy Bicha ]
  * Add missing hyphen to fix autopkgtest

 -- Martin Pitt <mpitt@debian.org>  Tue, 25 Oct 2016 21:49:33 +0200

pango1.0 (1.40.3-2) unstable; urgency=medium

  * Update debian/libpango1.0-doc.install to use the installed files.
    This allows us to use dh-install --fail-missing.
  * Enable all hardening build flags.

 -- Michael Biebl <biebl@debian.org>  Thu, 22 Sep 2016 20:45:05 +0200

pango1.0 (1.40.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop libpango1.0-0-dbg and switch to automatic dbgsym packages.
  * Drop debian/libpango1.0-common.README.Debian, it's horribly outdated.
  * Drop the multiflavor builds. Those are no longer necessary after the
    modules system has been dropped and we have udebs for all necessary
    dependencies.
  * Convert from cdbs to dh.
  * Bump debhelper compat level to 10.
  * Use dh_install --list-missing to show uninstalled files.
  * Remove symlink-to-doc migration code from pre-wheezy.
  * Drop obsolete Replaces from pre-wheezy.
  * Use dbus-run-session to run tests (autopkgtest). (Closes: #836040)
  * Drop debian/patches/configure-without-libthai.patch now that there's a
    libthai udeb.

 -- Michael Biebl <biebl@debian.org>  Thu, 22 Sep 2016 19:26:20 +0200

pango1.0 (1.40.2-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * debian/control.in: Add homepage

  [ Andreas Henriksson ]
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 30 Aug 2016 20:23:45 +0200

## pango1.0 1.40.5

=== debian/changelog ===
pango1.0 (1.40.5-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Sun, 09 Apr 2017 01:12:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
+# This file is autogenerated. DO NOT EDIT!
+# 
+# Modifications should be made to debian/control.in instead.
+# This file is regenerated automatically in the clean target.
 Source: pango1.0
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: autotools-dev,
-               cdbs (>= 0.4.93),
-               debhelper (>= 9.20141010),
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 10),
                dpkg-dev (>= 1.17.14),
-               dh-autoreconf,
                fonts-cantarell <!nocheck>,
                gnome-pkg-tools (>= 0.11),
                gobject-introspection (>= 0.9.12-4~),
                gtk-doc-tools (>= 1.15),
+               help2man,
                libcairo2-dev (>= 1.12.10),
                libfontconfig1-dev (>= 2.10.91),
                libfreetype6-dev (>= 2.1.7),
@@ -30,6 +31,7 @@
 Standards-Version: 3.9.8
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/pango1.0
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/pango1.0
+Homepage: http://www.pango.org/
 
 Package: libpango1.0-0
 Section: oldlibs
@@ -194,7 +196,6 @@
          ${shlibs:Depends}
 Suggests: imagemagick, libpango1.0-doc
 Recommends: debhelper
-Replaces: gir-repository-dev, gobject-introspection-repository
 Description: Development files for the Pango
  Pango is a library for layout and rendering of text, with an emphasis
  on internationalization. Pango can be used anywhere that text layout is
@@ -211,29 +212,6 @@
  .
  This package contains the header files and some files needed for development
  with Pango.
-
-Package: libpango1.0-0-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: libpango-1.0-0 (= ${binary:Version}) | libpangocairo-1.0-0 (= ${binary:Version}) | libpangoft2-1.0-0 (= ${binary:Version}) | libpangoxft-1.0-0 (= ${binary:Version}),
-         ${misc:Depends}
-Description: Pango library and debugging symbols
- Pango is a library for layout and rendering of text, with an emphasis
- on internationalization. Pango can be used anywhere that text layout is
- needed. however, most of the work on Pango-1.0 was done using the GTK+
- widget toolkit as a test platform. Pango forms the core of text and
- font handling for GTK+-2.0.
- .
- Pango is designed to be modular; the core Pango layout can be used with
- four different font backends:
-  - Core X windowing system fonts
-  - Client-side fonts on X using the Xft library
-  - Direct rendering of scalable fonts using the FreeType library
-  - Native fonts on Microsoft backends
- .
- This package contains the debugging symbols. Most people will not need this
- package.
 
 Package: libpango1.0-doc
 Section: doc
@@ -288,3 +266,15 @@
  Pango is a library for layout and rendering of text, with an emphasis
  on internationalization. Pango can be used anywhere that text layout is
  needed. however, most of the work on Pango-1.0 was done using the GTK+
+ widget toolkit as a test platform. Pango forms the core of text and
+ font handling for GTK+-2.0.
+ .
+ Pango is designed to be modular; the core Pango layout can be used with
+ four different font backends:
+  - Core X windowing system fonts
+  - Client-side fonts on X using the Xft library
+  - Direct rendering of scalable fonts using the FreeType library
+  - Native fonts on Microsoft backends
+ .
+ This package contains test programs, designed to be run as part of a
+ regression testsuite.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

GNOME_MODULE := pango

# Ensure the build aborts when there are still references to undefined symbols
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with gnome,gir

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=\$${prefix}/lib/pango1.0 \
		--with-html-dir=\$${prefix}/share/doc/libpango1.0-doc \
		--enable-installed-tests \
		--enable-static

override_dh_install:
	dh_install -X.la --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -V --add-udeb=libpango1.0-udeb -- -c4

## pango1.0 1.40.12

=== debian/changelog ===
pango1.0 (1.40.12-1) unstable; urgency=medium

  * New upstream release
  * Drop fix-sentence-break-function.patch: Applied in new release
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 06 Sep 2017 22:02:42 -0400

pango1.0 (1.40.11-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.0.1.
  * Add fix-sentence-break-function.patch:
    - Fix regression caught by gtk3 & libgtk2-perl build tests
      (LP: #1709225) (Closes: #872317)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 16 Aug 2017 09:46:11 -0400

pango1.0 (1.40.9-1) unstable; urgency=medium

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 15 Aug 2017 17:40:35 +0200

pango1.0 (1.40.6-1) unstable; urgency=medium

  * New upstream release.
  * Bump build-dependencies according to configure.ac changes:
    - harfbuzz >= 1.2.3

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 02 Jul 2017 09:47:37 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 10),
                dpkg-dev (>= 1.17.14),
                fonts-cantarell <!nocheck>,
@@ -19,7 +19,7 @@
                libfreetype6-dev (>= 2.1.7),
                libgirepository1.0-dev (>= 0.9.5),
                libglib2.0-dev (>= 2.34.0),
-               libharfbuzz-dev (>= 0.9.30),
+               libharfbuzz-dev (>= 1.2.3),
                libthai-dev (>= 0.1.22-3~),
                libx11-dev (>= 2:1.3.3-2),
                libxft-dev (>= 2.1.14-2),
@@ -27,8 +27,8 @@
                libxt-dev,
                perl,
                pkg-config
-Build-Depends-Indep: libglib2.0-doc
-Standards-Version: 3.9.8
+Build-Depends-Indep: libglib2.0-doc <!nodoc>
+Standards-Version: 4.1.0
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/pango1.0
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/pango1.0
 Homepage: http://www.pango.org/
@@ -215,6 +215,7 @@
 
 Package: libpango1.0-doc
 Section: doc
+Build-Profiles: <!nodoc>
 Architecture: all
 Depends: ${misc:Depends}
 Recommends: libglib2.0-doc

## pango1.0 1.40.13

=== debian/changelog ===
pango1.0 (1.40.13-2) unstable; urgency=medium

  [ Simon McVittie ]
  * gir1.2-pango-1.0 Provides gir1.2-pangocairo-1.0,
    gir1.2-pangoft2-1.0, gir1.2-pangoxft-1.0 to reflect the additional
    typelibs that it contains

  [ Michael Biebl ]
  * Add 0001-Fix-is_char_break-issue-in-pango_default_break-funct.patch.
    Fixes a regression introduced in 1.40.13 resulting in word wrapping / line
    breaks being broken. (Closes: #880674)

 -- Michael Biebl <biebl@debian.org>  Wed, 15 Nov 2017 18:39:29 +0100

pango1.0 (1.40.13-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Don't use obsolete Priority: extra for transitional package
  * Bump Standards-Version to 4.1.1

  [ Michael Biebl ]
  * New upstream release
  * Use dh_missing --fail-missing instead of dh_install --fail-missing
  * Remove no longer needed Breaks/Replaces

 -- Michael Biebl <biebl@debian.org>  Tue, 31 Oct 2017 15:45:53 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 10),
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 10.3),
                dpkg-dev (>= 1.17.14),
                fonts-cantarell <!nocheck>,
                gnome-pkg-tools (>= 0.11),
@@ -28,14 +28,13 @@
                perl,
                pkg-config
 Build-Depends-Indep: libglib2.0-doc <!nodoc>
-Standards-Version: 4.1.0
+Standards-Version: 4.1.1
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/pango1.0
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/pango1.0
 Homepage: http://www.pango.org/
 
 Package: libpango1.0-0
 Section: oldlibs
-Priority: extra
 Architecture: any
 Depends: libpango-1.0-0 (= ${binary:Version}),
          libpangocairo-1.0-0 (= ${binary:Version}),
@@ -64,8 +63,6 @@
 Package: libpango-1.0-0
 Architecture: any
 Depends: fontconfig (>= 2.1.91), ${misc:Depends}, ${shlibs:Depends}
-Replaces: libpango1.0-0 (<< 1.32.5-2)
-Breaks: libpango1.0-0 (<< 1.32.5-2)
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: Layout and rendering of internationalized text
@@ -87,8 +84,6 @@
 Package: libpangocairo-1.0-0
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libpango1.0-0 (<< 1.32.5-2)
-Replaces: libpango1.0-0 (<< 1.32.5-2)
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: Layout and rendering of internationalized text
@@ -110,8 +105,6 @@
 Package: libpangoxft-1.0-0
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libpango1.0-0 (<< 1.32.5-2)
-Replaces: libpango1.0-0 (<< 1.32.5-2)
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: Layout and rendering of internationalized text
@@ -133,8 +126,6 @@
 Package: libpangoft2-1.0-0
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libpango1.0-0 (<< 1.32.5-2)
-Replaces: libpango1.0-0 (<< 1.32.5-2)
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: Layout and rendering of internationalized text
@@ -241,6 +232,9 @@
 Section: introspection
 Architecture: any
 Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Provides: gir1.2-pangocairo-1.0 (= ${binary:Version}),
+          gir1.2-pangoft2-1.0 (= ${binary:Version}),
+          gir1.2-pangoxft-1.0 (= ${binary:Version})
 Multi-Arch: same
 Description: Layout and rendering of internationalized text - gir bindings
  Pango is a library for layout and rendering of text, with an emphasis

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,11 @@
 		--enable-static
 
 override_dh_install:
-	dh_install -X.la --fail-missing
+	find debian/tmp -name '*.la' -print -delete
+	dh_install
+
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_makeshlibs:
 	dh_makeshlibs -V --add-udeb=libpango1.0-udeb -- -c4

## pango1.0 1.40.14

=== meson_options.txt ===
option('enable_docs',
       description: 'Build API reference for Pango using GTK-Doc',
       type: 'boolean',
       value: false)

=== debian/changelog ===
pango1.0 (1.40.14-1ubuntu0.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2018-15120.patch: fix in
      pango/pango_emoji.c.
    - CVE-2018-15120

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Tue, 21 Aug 2018 16:15:52 -0300

pango1.0 (1.40.14-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches, applied in new release
  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 20 Dec 2017 20:51:30 -0500

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: pango1.0
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 10.3),
-               dpkg-dev (>= 1.17.14),
+Build-Depends: debhelper (>= 11),
                fonts-cantarell <!nocheck>,
                gnome-pkg-tools (>= 0.11),
                gobject-introspection (>= 0.9.12-4~),
@@ -28,9 +28,9 @@
                perl,
                pkg-config
 Build-Depends-Indep: libglib2.0-doc <!nodoc>
-Standards-Version: 4.1.1
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/pango1.0
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/pango1.0
+Standards-Version: 4.1.2
+Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/pango.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/pango.git
 Homepage: http://www.pango.org/
 
 Package: libpango1.0-0
@@ -63,7 +63,6 @@
 Package: libpango-1.0-0
 Architecture: any
 Depends: fontconfig (>= 2.1.91), ${misc:Depends}, ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: Layout and rendering of internationalized text
  Pango is a library for layout and rendering of text, with an emphasis
@@ -84,7 +83,6 @@
 Package: libpangocairo-1.0-0
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: Layout and rendering of internationalized text
  Pango is a library for layout and rendering of text, with an emphasis
@@ -105,7 +103,6 @@
 Package: libpangoxft-1.0-0
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: Layout and rendering of internationalized text
  Pango is a library for layout and rendering of text, with an emphasis
@@ -126,7 +123,6 @@
 Package: libpangoft2-1.0-0
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: Layout and rendering of internationalized text
  Pango is a library for layout and rendering of text, with an emphasis
@@ -256,7 +252,6 @@
 Package: pango1.0-tests
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, fonts-cantarell
-Pre-Depends: ${misc:Pre-Depends}
 Description: Layout and rendering of internationalized text - installed tests
  Pango is a library for layout and rendering of text, with an emphasis
  on internationalization. Pango can be used anywhere that text layout is

=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,17 @@
 #!/usr/bin/make -f
-
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
+-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 GNOME_MODULE := pango
 
 # Ensure the build aborts when there are still references to undefined symbols
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@ --with gnome,gir
+
+override_dh_autoreconf:
+	dh_autoreconf --as-needed
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

## pango1.0 1.42.0

=== debian/changelog ===
pango1.0 (1.42.0-1) unstable; urgency=medium

  * New upstream release
  * Add new symbols
  * Build-Depend on libfribidi-dev since new release uses it
    instead of bundled mini-fribidi library
  * Update Vcs fields for migration to https://salsa.debian.org/
  * debian/copyright: Convert to 1.0 format

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 24 Mar 2018 00:28:40 -0400

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Source: pango1.0
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 11),
                fonts-cantarell <!nocheck>,
@@ -17,6 +16,7 @@
                libcairo2-dev (>= 1.12.10),
                libfontconfig1-dev (>= 2.10.91),
                libfreetype6-dev (>= 2.1.7),
+               libfribidi-dev (>= 0.19.7),
                libgirepository1.0-dev (>= 0.9.5),
                libglib2.0-dev (>= 2.34.0),
                libharfbuzz-dev (>= 1.2.3),
@@ -29,8 +29,8 @@
                pkg-config
 Build-Depends-Indep: libglib2.0-doc <!nodoc>
 Standards-Version: 4.1.2
-Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/pango.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/pango.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/pango
+Vcs-Git: https://salsa.debian.org/gnome-team/pango.git
 Homepage: http://www.pango.org/
 
 Package: libpango1.0-0

=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,8 @@
 
 GNOME_MODULE := pango
 
-# Ensure the build aborts when there are still references to undefined symbols
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@ --with gnome,gir
